vncserver(1)

NAME
vncserver - a wrapper to launch an X server for VNC.

SYNOPSIS
vncserver [:display] [-geometry widthxheight] [-depth depth] [-pixelformat rgbNNN|bgrNNN] [-fp font-path] [-name desktop-name] [-list] [-fg] [-novncauth] [-nootp] [-nopam] [-noauth] [-otp] [Xvnc-options...]

vncserver -kill :display

vncserver -list

vncserver -help

DESCRIPTION
vncserver is a wrapper script for Xvnc, the VNC (Virtual Network Computing) X server. Xvnc provides all of the capabilities of a standard X server, but it does not connect to a physical display. Instead, Xvnc creates a virtual X display which you can view or control remotely using a VNC viewer.

OPTIONS
You can add Xvnc options to the vncserver command line. They will be passed through to Xvnc without modification. The options provided by vncserver itself are as follows:

:display
    The X display number which Xvnc should occupy. If omitted, the next free display number is used.

-geometry widthxheight
    Set width and height of the virtual X display.

-depth depth
    Set the color depth of the virtual X display, in bits per pixel. Must be a value between 8 and 32.

-pixelformat rgbNNN|bgrNNN
    Specify the pixel format of the virtual X display. Xvnc can use any pixel format you choose, but if this pixel format does not match the pixel format of the display on which vncviewer is running, then Xvnc will perform pixel format conversion prior to sending images to vncviewer. This can slow performance. The default pixel format, rgb888, is equivalent to BGRA on little endian systems or ARGB on big endian systems. A pixel format of bgr888 is equivalent to RGBA on little endian systems or ABGR on big endian systems.

-name string
    This specifies the name of the desktop.

-nohttpd
    The default behavior of the vncserver script is to enable the embedded web server in Xvnc, which serves up the Java TurboVNC Viewer on a dedicated port. Passing an argument of -nohttpd to vncserver tells it not to enable the embedded web server in Xvnc.

-novncauth
    The default behavior of the vncserver script is to enable all of the supported authentication methods (VNC password, one-time password, and PAM user/password) in Xvnc. Passing an argument of -novncauth to vncserver tells it not to enable the VNC password authentication method in Xvnc. This argument has no effect if permitted-auth-methods is specified in the authentication configuration file and "vnc" is not listed as a permitted method.

-nootp
    The default behavior of the vncserver script is to enable all of the supported authentication methods (VNC password, one-time password, and PAM user/password) in Xvnc. Passing an argument of -nootp to vncserver tells it not to enable the one-time password authentication method in Xvnc. This argument has no effect if permitted-auth-methods is specified in the authentication configuration file and "otp" is not listed as a permitted method.

-nopam
    The default behavior of the vncserver script is to enable all of the supported authentication methods (VNC password, one-time password, and PAM user/password) in Xvnc. Passing an argument of -nopam to vncserver tells it not to enable the PAM user/password authentication method in Xvnc. Disabling this authentication method will prevent viewers from using Unix login authentication. This command-line argument has no effect if permitted-auth-methods is specified in the authentication configuration file and "pam-userpwd" is not listed as a permitted method.

-noauth
    The default behavior of the vncserver script is to enable all of the supported authentication methods (VNC password, one-time password, and PAM user/password) in Xvnc. Passing an argument of -noauth to vncserver tells it to disable all forms of authentication in Xvnc. If permitted-auth-methods is specified in the authentication configuration file and "none" is not listed as a permitted method, then Xvnc exits with an error.

-otp
    If the one-time password authentication method is enabled and permitted in Xvnc, then this generates an initial one-time password and prints it to the console prior to starting Xvnc.

-kill :display
    Stops the VNC server which is currently running on the specified display.

-list
    Lists the display numbers and process ID's of all VNC servers that are currently running under your account on this machine.

-help
    Prints a brief list of command line options

-fg Runs Xvnc as a foreground process. This has two effects: (1) The VNC server can be aborted with CTRL-C, and (2) the VNC server will exit as soon as the user logs out of the window manager in the VNC session. This may be necessary when launching TurboVNC from within certain grid computing environments.

-noxstartup
    Do not run the ~/.vnc/xstartup.turbovnc script after launching Xvnc. This option allows you to manually start a window manager in your TurboVNC session or to run a full-screen application without a window manager.

-fp font-path
    The vncserver script will normally examine your system to figure out where it stores its X11 fonts and then generate an appropriate font path for Xvnc based on this. If your system stores its X11 fonts in a location that vncserver does not know about, however, then this may fail. In that case, vncserver will then try to contact the local X Font Server (xfs) on port 7100. Not all systems have xfs installed and running, so this may fail as well. In that case, you can manually specify a font path by using the -fp argument to vncserver. If you prefer to use the X Font Server by default rather than a static font path, then you can run /opt/TurboVNC/bin/vncserver -fp unix/:7100 on Linux systems or /opt/TurboVNC/bin/vncserver -fp inet/:7100 on Solaris systems.

EXAMPLES

vncserver
    Starts Xvnc on the next available display and uses suitable defaults.

vncserver :1
    Starts Xvnc on display :1.

vncserver -geometry 1024x768 :1
    Starts Xvnc on display :1 with desktop size of 1024x768 pixels.

vncserver -kill :1
    Shuts down the Xvnc server running on display :1.

FILES

/etc/turbovncserver.conf
    System-wide configuration file for the TurboVNC Server.

$HOME/.vnc/turbovncserver.conf
    User configuration file for the TurboVNC Server. Settings in this file override the system-wide configuration.

SEE ALSO
Xvnc(1), vncviewer(1), vncpasswd(1), vncconnect(1)

AUTHORS
VNC was originally developed at AT&T Laboratories Cambridge. TightVNC additions were implemented by Constantin Kaplinsky. TurboVNC, based on TightVNC, is provided by The VirtualGL Project. Many other people participated in development, testing and support. Man page authors:
Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>,
Tim Waugh <twaugh@redhat.com>,
Constantin Kaplinsky <const@tightvnc.com>
D. R. Commander <information@virtualgl.org>